import { request } from '../service/request'

/**
 * 查询证书
 */

type getAuthType = {
    label: string,
    typeId: number
}

export const queryCertificate = (data: getAuthType) => {
    return request({
        url: `/verify/certificate`,
        data
    })
}


type queryCertificateFileType = {
    fileUrl: string,
    typeId: number
}

export const queryCertificateFile = (data: queryCertificateFileType) => {
    return request({
        url: `/verify/certificate/file`,
        data
    })
}




/**
 * @description 查詢某一個公司，根據法人或者公司名稱
 */

 export const queryInfoByCompanyOrPerson = ( {query, typeId} ) => {
    return request({
        url: `/verify/certificate/queryInfoByCompanyOrPerson/${typeId}/${query}`,
        method: 'GET'
    })
}
