import { request } from '../service/request'

// 二维码验证

export const authQrcode = (code: string) => {
    return request({
        url: `/v2/verify/code/verify/${encodeURIComponent(code)}`,
    })
}



export const authQrcodeV2 = (code: string) => {
    return request({
        url: `/v2/verify/code`,
        method: 'POST',
        data : {
            code
        }
    })
}

/**
 * 获取查询记录
 * @param { pageSize } 默认10
 * @param { page } 页码
 * @param { type } 0 假码 1 真码 其他为全部
 * 
 */

 type getRecordType = {
    page: number,
    pageSize?: number,
    type?: number
 }


export const getRecord = (data: getRecordType = {pageSize: 10, page: 1, type: 2} )=> {
    return request({
            url: '/verify/user/scanCodeRecord',
            data
        })
    }

/***
 *  获取商品  --> 老版的二维码使用
 */
export const getGoodsList = () =>   {
    return request({
        url:'/verify/getAllProduct',
    })
}


