import React, { useState } from 'react'
import { View, Button, Image, Text } from  '@tarojs/components'
import Taro, { useDidShow, useReady, getCurrentInstance } from  '@tarojs/taro'
import './index.scss'
import { getTransferOption } from '../../api/transferPlatform'

/**
 * @description 图片 按钮  2种
 * 
 * @returns 
 */


const TransferPlatform: React.FC = () => {


  const [ state, setState ] = useState({
    title: '',
    qrcode: '',
    type: '',
    width: '',
    height: '',
    text: ''
  })

  
  const getOptions = async () => {
    const data = await getTransferOption(getCurrentInstance().page.options.key)
    setState(data)
    Taro.setNavigationBarTitle({
      title: data.title
    })
  }

  useDidShow(() => {
    getOptions()
  })

  useReady(() => {
  
  })

  const ButtonComponent = () => {

    return (
      <View className='contact-btn'>
          <Button open-type='contact' className='btn' ></Button>
          <View className='click-btn' >
            <Image src={require('@/assets/TransferPlatform/contact.png')} />
            <View>{state.text}</View>
          </View>
      </View>
    )
  }

  const QrcodeComponent = () => {
    return (
      <View className='qrcode'>
        <Image showMenuByLongpress mode='aspectFit' style={{width: state.width  + 'px', height: state.height  + 'px'}} src={state.qrcode} />
        <View className='desc' >
          <Text>{state.text}</Text>
        </View>
        
      </View>
    )
  }

  return (
    <View>
      { state.type === 'btn' ?  <ButtonComponent /> : <QrcodeComponent />} 
    </View>
  )
}



export default TransferPlatform